## org.eclipse.datatools.modelbase.sql.query
Interface SuperGroupElementExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, SuperGroupElement

    public interface SuperGroupElementExpression

extends SuperGroupElement

A representation of the model object 'SQL Super Group Element Expression'.

The following features are supported:

- `Super Group Element Sublist`
- `Grouping Expr`

See Also:
  `SQLQueryModelPackage.getSuperGroupElementExpression()`

Method Summary
`GroupingExpression` `getGroupingExpr()` Returns the value of the 'Grouping Expr' containment reference.
`SuperGroupElementSublist` `getSuperGroupElementSublist()` Returns the value of the 'Super Group Element Sublist' container reference.
`void` `setGroupingExpr(GroupingExpression value)` Sets the value of the '`Grouping Expr`' containment reference.
`void` `setSuperGroupElementSublist(SuperGroupElementSublist value)` Sets the value of the '`Super Group Element Sublist`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SuperGroupElement
`getSuperGroup, setSuperGroup`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSuperGroupElementSublist

    SuperGroupElementSublist getSuperGroupElementSublist()

  Returns the value of the 'Super Group Element Sublist' container reference. It is bidirectional and its opposite is '`Super Group Element Expr List`'.

  If the meaning of the 'Super Group Element Sublist' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Element Sublist' container reference.
  See Also:
    `setSuperGroupElementSublist(SuperGroupElementSublist)`, `SQLQueryModelPackage.getSuperGroupElementExpression_SuperGroupElementSublist()`, `SuperGroupElementSublist.getSuperGroupElementExprList()`

### setSuperGroupElementSublist

    void setSuperGroupElementSublist(SuperGroupElementSublist value)

  Sets the value of the '`Super Group Element Sublist`' container reference.

  Parameters:
    `value` - the new value of the 'Super Group Element Sublist' container reference.
  See Also:
    `getSuperGroupElementSublist()`

### getGroupingExpr

    GroupingExpression getGroupingExpr()

  Returns the value of the 'Grouping Expr' containment reference. It is bidirectional and its opposite is '`Super Group Element Expr`'.

  If the meaning of the 'Grouping Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Expr' containment reference.
  See Also:
    `setGroupingExpr(GroupingExpression)`, `SQLQueryModelPackage.getSuperGroupElementExpression_GroupingExpr()`, `GroupingExpression.getSuperGroupElementExpr()`

### setGroupingExpr

    void setGroupingExpr(GroupingExpression value)

  Sets the value of the '`Grouping Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Grouping Expr' containment reference.
  See Also:
    `getGroupingExpr()`